> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amberdata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Snapshots Historical

> Provides detailed historical snapshots of options order books, including bid and ask levels, underlying prices, market statistics, open interest, and Greeks, enabling in-depth analysis of market depth and options pricing over time across supported exchanges.

<Warning>
  The maximum time range (difference between `startDate` and `endDate`) is **1 hour**.
</Warning>

<Note>
  If the `startDate` and `endDate` query parameters are not provided, the API will return the data from the previous 10 minutes.
</Note>


## OpenAPI

````yaml get /options/order-book-snapshots/{instrument}
openapi: 3.1.0
info:
  title: market-api
  version: '2'
servers:
  - url: https://api.amberdata.com/markets
security:
  - ApiKeyAuth: []
paths:
  /options/order-book-snapshots/{instrument}:
    get:
      summary: Snapshots Historical
      description: >-
        Provides detailed historical snapshots of options order books, including
        bid and ask levels, underlying prices, market statistics, open interest,
        and Greeks, enabling in-depth analysis of market depth and options
        pricing over time across supported exchanges.
      operationId: options-order-book-snapshots-historical
      parameters:
        - name: instrument
          in: path
          description: The instrument for which to retrieve the requested data.
          schema:
            type: string
            default: BTC-27DEC24-100000-C
          required: true
        - name: exchange
          in: query
          description: >-
            **[Required]** The exchange(s) for which to retrieve the requested
            data (comma separated). **[Default]** All available exchanges.
          required: true
          schema:
            type: string
            default: deribit
        - name: startDate
          in: query
          description: >-
            **[Optional]** Payload only includes data after this date
            (inclusive). **[Defaults]** Beginning of the current minute (max
            time range is 1 hour).
          schema:
            type: string
            format: date-time
        - name: endDate
          in: query
          description: >-
            **[Optional]** Payload only includes data before this date
            (exclusive). **[Defaults]** Ten minutes after the beginning of the
            current hour (max time range is 1 hour).
          schema:
            type: string
            format: date-time
        - name: timestamp
          in: query
          description: >-
            **[Optional]** The timestamp at which to return the order book
            information (closest match, lower or equal to the timestamp
            specified).
          schema:
            type: string
        - name: timeFormat
          in: query
          description: >-
            **[Optional]** Time format of the timestamps in the return payload.
            **[Defaults]** `milliseconds | ms* | iso | iso8601 | hr |
            human_readable`
          schema:
            type: string
        - name: sortDirection
          in: query
          description: >-
            **[Optional]** Specifies the direction in which the data is sorted
            (by timestamp).   **[Defaults]** asc (ascending order).   **[Usage
            Conditions]** This parameter can only be used if the `startDate` and
            `endDate` timeframe is within the most recent 24 hours, or if the
            `startDate` and `endDate` parameters are not used at all.  
            **[Examples]** ascending | descending | asc | desc
          schema:
            type: string
        - name: maxLevel
          in: query
          description: The number of order book levels that should be returned.
          schema:
            type: integer
            format: int32
        - name: Accept-Encoding
          in: header
          required: true
          description: ''
          schema:
            type: string
            default: gzip, deflate, br
        - name: api-version
          in: header
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: 200
                    title: OK
                    description: Successful request
                    payload:
                      metadata:
                        next: >-
                          https://api.amberdata.com/markets/options/order-book-snapshots/BTC-13FEB26-100000-C?cursor=N4IgpgHgxgFghgOwOZhALhAEzAJwJYBGeALiADQhQCuOAzgPY7oJUA2rFxeAtmLcXG4AHZmw4h%2BcHMQAicYqjQBGAOwA2AJwqAHAFY1AJgAMugCwqKYBJjkL0qzTv1mDaoxTwIorKtgCqCLRUQkKMCpgAotDwyHzoAGZwrLRgFNxwEAAyYABuYKyi7Jw8YABijOmkGNx47HgpUPTWtOQg8RXy6CAAVgwIrQzSANJgAJ5dDlp6hkazRgD62PhExPNKAMwqukqa2toGugbzAEIAKgDCALQbpRHHrtdzs5fnIAC%2BQA
                        api-version: '2023-09-30T00:00:00.000Z'
                      data:
                        - timestamp: 1769699280000
                          instrument: BTC-13FEB26-100000-C
                          exchange: deribit
                          exchangeTimestamp: 1769699279646
                          exchangeTimestampNanoseconds: 0
                          sequence: 137341145308
                          underlyingPrice: 86308.1667
                          underlyingIndex: SYN.BTC-13FEB26
                          low: 0.0012
                          high: 0.0031
                          volume: 112.6
                          volumeUSD: 16365.05
                          priceChange: -58.6207
                          openInterest: 1392.8
                          minPrice: 0.0001
                          maxPrice: 0.016
                          markPrice: 0.0012
                          markIv: 40.59
                          lastPrice: 0.0012
                          interestRate: 0
                          indexPrice: 86149.28
                          estimatedDeliveryPrice: 0
                          rho: 1.30112
                          vega: 14.51698
                          delta: 0.03865
                          gamma: 0.00001
                          theta: -20.04074
                          bidIv: 40.42
                          askIv: 42.12
                          bestBidPrice: 0.0012
                          bestAskPrice: 0.0015
                          bestBidVolume: 3.7
                          bestAskVolume: 69.2
                          state: open
                          ask:
                            - price: 0.0295
                              volume: 69.2
                              numOrders: null
                            - price: 0.0295
                              volume: 69.2
                              numOrders: null
                            - price: 0.0295
                              volume: 69.2
                              numOrders: null
                          bid:
                            - price: 0.0012
                              volume: 3.7
                              numOrders: null
                            - price: 0.0011
                              volume: 16.9
                              numOrders: null
                            - price: 0.001
                              volume: 42
                              numOrders: null
              schema:
                type: object
                properties:
                  status:
                    type: integer
                  title:
                    type: string
                  description:
                    type: string
                  payload:
                    type: object
                    properties:
                      metadata:
                        type: object
                        properties:
                          next:
                            type: string
                            description: Cursor for pagination
                          api-version:
                            type: string
                            description: API version used
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            timestamp:
                              type: integer
                              format: int64
                            instrument:
                              type: string
                            exchange:
                              type: string
                            exchangeTimestamp:
                              type: integer
                              format: int64
                            exchangeTimestampNanoseconds:
                              type: integer
                            sequence:
                              type: string
                            underlyingPrice:
                              type: number
                            underlyingIndex:
                              type: string
                            low:
                              type: number
                            high:
                              type: number
                            volume:
                              type: number
                            volumeUSD:
                              type: number
                            priceChange:
                              type: number
                            openInterest:
                              type: number
                            minPrice:
                              type: number
                            maxPrice:
                              type: number
                            markPrice:
                              type: number
                            markIv:
                              type: number
                            lastPrice:
                              type: number
                            interestRate:
                              type: number
                            indexPrice:
                              type: number
                            estimatedDeliveryPrice:
                              type: number
                            rho:
                              type: number
                            vega:
                              type: number
                            delta:
                              type: number
                            gamma:
                              type: number
                            theta:
                              type: number
                            bidIv:
                              type: number
                            askIv:
                              type: number
                            bestBidPrice:
                              type: number
                            bestAskPrice:
                              type: number
                            bestBidVolume:
                              type: number
                            bestAskVolume:
                              type: number
                            state:
                              type: string
                            ask:
                              type: array
                              items:
                                type: object
                                properties:
                                  price:
                                    type: number
                                  volume:
                                    type: number
                                  numOrders:
                                    type: integer
                                    nullable: true
                            bid:
                              type: array
                              items:
                                type: object
                                properties:
                                  price:
                                    type: number
                                  volume:
                                    type: number
                                  numOrders:
                                    type: integer
                                    nullable: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````